Module java.base
Package java.lang.classfilePREVIEW

# Enum Class AttributeMapper.AttributeStability

java.lang.Object
java.lang.Enum<AttributeMapper.AttributeStabilityPREVIEW>
java.lang.classfile.AttributeMapper.AttributeStability

All Implemented Interfaces:
  `Serializable`, `Comparable<AttributeMapper.AttributeStabilityPREVIEW>`, `Constable`

Enclosing interface:
  `AttributeMapperPREVIEW<A>`

public static enum AttributeMapper.AttributeStability extends Enum<AttributeMapper.AttributeStabilityPREVIEW>
`AttributeStability` is a preview API of the Java platform.
Programs can only use `AttributeStability` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Attribute stability indicator

Since:
  22

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CP_REFS`
  The attribute contains only pure data and CP refs, so can be bulk-copied when CP sharing is in effect, and need to be exploded and rewritten when CP sharing is not in effect.
  `LABELS`
  The attribute may contain labels, so need to be exploded and rewritten when the Code array is perturbed.
  `STATELESS`
  The attribute contains only pure data, such as timestamps, and can always be bulk-copied.
  `UNKNOWN`
  The attribute is completely unknown and so we consult the `ClassFile.AttributesProcessingOption`PREVIEW option to determine whether to preserve or drop it during transformation.
  `UNSTABLE`
  The attribute may contain indexes into structured not managed by the library (type variable lists, etc) and so we consult the `ClassFile.AttributesProcessingOption`PREVIEW option to determine whether to preserve or drop it during transformation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AttributeMapper.AttributeStabilityPREVIEW`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AttributeMapper.AttributeStabilityPREVIEW[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STATELESS

    public static final AttributeMapper.AttributeStabilityPREVIEW STATELESS
    The attribute contains only pure data, such as timestamps, and can always be bulk-copied.

  - ### CP_REFS

    public static final AttributeMapper.AttributeStabilityPREVIEW CP_REFS
    The attribute contains only pure data and CP refs, so can be bulk-copied when CP sharing is in effect, and need to be exploded and rewritten when CP sharing is not in effect.

  - ### LABELS

    public static final AttributeMapper.AttributeStabilityPREVIEW LABELS
    The attribute may contain labels, so need to be exploded and rewritten when the Code array is perturbed.

  - ### UNSTABLE

    public static final AttributeMapper.AttributeStabilityPREVIEW UNSTABLE
    The attribute may contain indexes into structured not managed by the library (type variable lists, etc) and so we consult the `ClassFile.AttributesProcessingOption`PREVIEW option to determine whether to preserve or drop it during transformation.

  - ### UNKNOWN

    public static final AttributeMapper.AttributeStabilityPREVIEW UNKNOWN
    The attribute is completely unknown and so we consult the `ClassFile.AttributesProcessingOption`PREVIEW option to determine whether to preserve or drop it during transformation.

- ## Method Details

  - ### values

    public static AttributeMapper.AttributeStabilityPREVIEW[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AttributeMapper.AttributeStabilityPREVIEW valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null